var expect = require('expect.js');
var list = require('../lib/list.js');
describe('list', function () {
    it('should list modules', function () {
        return list('/Users/qipbbn/.def').then(function(modules){
            expect(modules).to.be.an('array');
            modules.forEach(function(mod){
                expect(mod).to.have.property('name');
                expect(mod).to.have.property('version');
            })
        });
    });

    it('should list plugins', function () {
        return list.plugin('/Users/qipbbn/.def').then(function(modules){
            expect(modules).to.be.an('array');
            modules.forEach(function(mod){
                expect(mod).to.have.property('name');
                expect(mod.name).to.contain('def-');
                expect(mod).to.have.property('version');
            })
        });
    });
});